package com.example

import com.example.Sneakers.char
import com.example.Sneakers.decimal
import com.example.Sneakers.integer
import com.example.Sneakers.varchar
import kotlinx.serialization.Contextual
import kotlinx.serialization.Serializable
import java.math.BigDecimal
import java.text.DecimalFormat

@Serializable
data class UserRegisterRequest(val name: String, val email: String, val password: String)

@Serializable
data class UserLoginRequest(val email: String, val password: String)

@Serializable
data class UserForgotPasswordRequest(val email: String)

@Serializable
data class UserResetPasswordRequest(val code: String, val newPassword: String)


@Serializable
data class Sneaker(
    val id: Int,
    val name: String,
    val description: String,
    @Contextual val cost: BigDecimal,
    val discount: Int,
    val photo: String,
    val gender: Char,
    val bootSize: Int
)
